org.wildfly.swarm.config.messaging.activemq.server

## Class ReplicationSlaveHAPolicy<T extends ReplicationSlaveHAPolicy<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.ReplicationSlaveHAPolicy<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ReplicationSlaveHAPolicy<T extends ReplicationSlaveHAPolicy<T>>
      extends HashMap

  A messaging resource that allows you to configure High Availability for the ActiveMQ server (the value of ha-policy can be live-only, replication-master, replication-slave, or replication-colocated).
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplicationSlaveHAPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `allowFailback()` Whether a server will automatically stop when a another places a request to take over its place.
    `T` | `allowFailback(Boolean value)` Whether a server will automatically stop when a another places a request to take over its place.
    `String` | `clusterName()` Name of the cluster used for replication.
    `T` | `clusterName(String value)` Name of the cluster used for replication.
    `String` | `getKey()`
    `String` | `groupName()` If set, backup servers will only pair with live servers with matching group-name.
    `T` | `groupName(String value)` If set, backup servers will only pair with live servers with matching group-name.
    `Long` | `initialReplicationSyncTimeout()` How long to wait until the initiation replication is synchronized.
    `T` | `initialReplicationSyncTimeout(Long value)` How long to wait until the initiation replication is synchronized.
    `Integer` | `maxSavedReplicatedJournalSize()` This specifies how many times a replicated backup server can restart after moving its files on start.
    `T` | `maxSavedReplicatedJournalSize(Integer value)` This specifies how many times a replicated backup server can restart after moving its files on start.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `restartBackup()` Will this server, if a backup, restart once it has been stopped because of failback or scaling down.
    `T` | `restartBackup(Boolean value)` Will this server, if a backup, restart once it has been stopped because of failback or scaling down.
    `Boolean` | `scaleDown()` Configure whether this server send its messages to another live server in the scale-down cluster when it is shutdown cleanly.
    `T` | `scaleDown(Boolean value)` Configure whether this server send its messages to another live server in the scale-down cluster when it is shutdown cleanly.
    `String` | `scaleDownClusterName()` Name of the cluster used to scale down.
    `T` | `scaleDownClusterName(String value)` Name of the cluster used to scale down.
    `T` | `scaleDownConnector(String value)` List of connectors used to form the scale-down cluster.
    `List<String>` | `scaleDownConnectors()` List of connectors used to form the scale-down cluster.
    `T` | `scaleDownConnectors(List<String> value)` List of connectors used to form the scale-down cluster.
    `T` | `scaleDownConnectors(String... args)` List of connectors used to form the scale-down cluster.
    `String` | `scaleDownDiscoveryGroup()` Name of the discovery group used to build the scale-down cluster
    `T` | `scaleDownDiscoveryGroup(String value)` Name of the discovery group used to build the scale-down cluster
    `String` | `scaleDownGroupName()` Name of the group used to scale down.
    `T` | `scaleDownGroupName(String value)` Name of the group used to scale down.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ReplicationSlaveHAPolicy

          public ReplicationSlaveHAPolicy()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### allowFailback

          public Boolean allowFailback()

      Whether a server will automatically stop when a another places a request to take over its place. The use case is when a regular server stops and its backup takes over its duties, later the main server restarts and requests the server (the former backup) to stop operating.

    - #### allowFailback

          public T allowFailback(Boolean value)

      Whether a server will automatically stop when a another places a request to take over its place. The use case is when a regular server stops and its backup takes over its duties, later the main server restarts and requests the server (the former backup) to stop operating.

    - #### clusterName

          public String clusterName()

      Name of the cluster used for replication.

    - #### clusterName

          public T clusterName(String value)

      Name of the cluster used for replication.

    - #### groupName

          public String groupName()

      If set, backup servers will only pair with live servers with matching group-name.

    - #### groupName

          public T groupName(String value)

      If set, backup servers will only pair with live servers with matching group-name.

    - #### initialReplicationSyncTimeout

          public Long initialReplicationSyncTimeout()

      How long to wait until the initiation replication is synchronized.

    - #### initialReplicationSyncTimeout

          public T initialReplicationSyncTimeout(Long value)

      How long to wait until the initiation replication is synchronized.

    - #### maxSavedReplicatedJournalSize

          public Integer maxSavedReplicatedJournalSize()

      This specifies how many times a replicated backup server can restart after moving its files on start. Once there are this number of backup journal files the server will stop permanently after if fails back.

    - #### maxSavedReplicatedJournalSize

          public T maxSavedReplicatedJournalSize(Integer value)

      This specifies how many times a replicated backup server can restart after moving its files on start. Once there are this number of backup journal files the server will stop permanently after if fails back.

    - #### restartBackup

          public Boolean restartBackup()

      Will this server, if a backup, restart once it has been stopped because of failback or scaling down.

    - #### restartBackup

          public T restartBackup(Boolean value)

      Will this server, if a backup, restart once it has been stopped because of failback or scaling down.

    - #### scaleDown

          public Boolean scaleDown()

      Configure whether this server send its messages to another live server in the scale-down cluster when it is shutdown cleanly.

    - #### scaleDown

          public T scaleDown(Boolean value)

      Configure whether this server send its messages to another live server in the scale-down cluster when it is shutdown cleanly.

    - #### scaleDownClusterName

          public String scaleDownClusterName()

      Name of the cluster used to scale down.

    - #### scaleDownClusterName

          public T scaleDownClusterName(String value)

      Name of the cluster used to scale down.

    - #### scaleDownConnectors

          public List<String> scaleDownConnectors()

      List of connectors used to form the scale-down cluster.

    - #### scaleDownConnectors

          public T scaleDownConnectors(List<String> value)

      List of connectors used to form the scale-down cluster.

    - #### scaleDownConnector

          public T scaleDownConnector(String value)

      List of connectors used to form the scale-down cluster.

    - #### scaleDownConnectors

          public T scaleDownConnectors(String... args)

      List of connectors used to form the scale-down cluster.

    - #### scaleDownDiscoveryGroup

          public String scaleDownDiscoveryGroup()

      Name of the discovery group used to build the scale-down cluster

    - #### scaleDownDiscoveryGroup

          public T scaleDownDiscoveryGroup(String value)

      Name of the discovery group used to build the scale-down cluster

    - #### scaleDownGroupName

          public String scaleDownGroupName()

      Name of the group used to scale down.

    - #### scaleDownGroupName

          public T scaleDownGroupName(String value)

      Name of the group used to scale down.

Copyright © 2018 JBoss by Red Hat. All rights reserved.